#ifndef _DRV_MISC_H_
#define _DRV_MISC_H_

#ifdef __cplusplus
extern "C" {
#endif 

#include "kit_core.h"

typedef enum
{
	kPwrOffVolt_2_2,
	kPwrOffVolt_2_3,
	kPwrOffVolt_2_4,
	kPwrOffVolt_2_5,
	kPwrOffVolt_2_6,
	kPwrOffVolt_2_7,
	kPwrOffVolt_2_8,
	kPwrOffVolt_2_9,
	kPwrOffVolt_End,
}PwrOffVolt;

void drv_misc_reset_mcu(void);
void drv_misc_reset_core(void);
void drv_misc_set_nvic(int8_t irq_channel, uint8_t priority);
void drv_misc_cfg_pwr_off_interrupt(uint8_t priority,PwrOffVolt volt, NoArgCall int_call);

#ifdef __cplusplus
}
#endif

#endif
